GET

emails API

Retrieve and manage emails records from the Apps4Edu sync database.

Endpoint Path

GET /api/emails

CURL Example

curl "https://api.apps4education.co.uk/api/emails?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
id bigint
personEmailID int
personID int
eMailID int
eMailAddress varchar
emailTypeID int
emailTypeName varchar
priority int
notes text
created_at timestamp
updated_at timestamp

Response Body (Sample)

{
  "data": [
    {
      "id": 101,
      "personEmailID": 101,
      "personID": 101,
      "eMailID": 101,
      "eMailAddress": "example_value",
      "emailTypeID": 101,
      "emailTypeName": "example_value",
      "priority": "example_value",
      "notes": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

page

Optional. Defaults to 1. Used to navigate through paginated results.